IOSS 2.0

Namespaces | Macros | Functions
Utst_structured_decomp.C File Reference
`#include <catch.hpp>`
`#include <Ioss_ZoneConnectivity.h>`
`#include <cgns/Iocgns_StructuredZoneData.h>`
`#include <cgns/Iocgns_Utils.h>`
`#include <exception>`
`#include <fmt/ostream.h>`
`#include <map>`
`#include <numeric>`
`#include <vector>`
Include dependency graph for Utst_structured_decomp.C:

## Namespaces
| anonymous_namespace{Utst_structured_decomp.C}

## Macros
#define | CATCH_CONFIG_MAIN

## Functions
int64_t | anonymous_namespace{Utst_structured_decomp.C}::generate_guid (size_t id, int rank, int proc_count)
void | anonymous_namespace{Utst_structured_decomp.C}::update_zgc_data (std::vector< Iocgns::StructuredZoneData * > &zones, int proc_count)
void | cleanup (std::vector< Iocgns::StructuredZoneData * > &zones)
void | check_split_assign (std::vector< Iocgns::StructuredZoneData * > &zones, double load_balance_tolerance, size_t proc_count, double min_toler=0.9, double max_toler=1.0)
| TEST_CASE ("single block", "[single_block]")
| TEST_CASE ("single block line", "[single_block_line]")
| TEST_CASE ("cube_2blocks", "[cube_2blocks]")
| TEST_CASE ("bump", "[bump_zgc]")
| TEST_CASE ("bump_loose", "[bump_loose_zgc]")
| TEST_CASE ("prime sides", "[prime_sides]")
| TEST_CASE ("farmer plenum", "[farmer_plenum]")
| TEST_CASE ("grv-nose", "[grv-nose]")
| TEST_CASE ("grv", "[grv]")
| TEST_CASE ("grv-large", "[grv-large]")
| TEST_CASE ("mk21", "[mk21]")
| TEST_CASE ("farmer_h1_nozzle", "[h1_nozzle]")
| TEST_CASE ("farmer_h1_mk21", "[h1_mk21]")
| TEST_CASE ("bc-257x129x2", "[bc-257x129x2]")
| TEST_CASE ("carnes-mesh", "[carnes-mesh]")
| TEST_CASE ("carnes-blunt-wedge", "[carnes-blunt-wedge]")
| TEST_CASE ("64GiElem", "[64GiElem]")
| TEST_CASE ("LotsOfZones", "[LotsOfZones]")

## Macro Definition Documentation

## ◆ CATCH_CONFIG_MAIN

#define CATCH_CONFIG_MAIN

## Function Documentation

## ◆ check_split_assign()

void check_split_assign | ( | std::vector< Iocgns::StructuredZoneData * > & | zones,
|  | double | load_balance_tolerance,
|  | size_t | proc_count,
|  | double | min_toler = `0.9`,
|  | double | max_toler = `1.0`
| ) |  |

## ◆ cleanup()

void cleanup | ( | std::vector< Iocgns::StructuredZoneData * > & | zones | ) |

## ◆ TEST_CASE() [1/18]

TEST_CASE | ( | "64GiElem" | ,
|  | "" | [64GiElem]
| ) |  |

## ◆ TEST_CASE() [2/18]

TEST_CASE | ( | "bc-257x129x2" | ,
|  | "" | [bc-257x129x2]
| ) |  |

## ◆ TEST_CASE() [3/18]

TEST_CASE | ( | "bump" | ,
|  | "" | [bump_zgc]
| ) |  |

## ◆ TEST_CASE() [4/18]

TEST_CASE | ( | "bump_loose" | ,
|  | "" | [bump_loose_zgc]
| ) |  |

## ◆ TEST_CASE() [5/18]

TEST_CASE | ( | "carnes-blunt-wedge" | ,
|  | "" | [carnes-blunt-wedge]
| ) |  |

## ◆ TEST_CASE() [6/18]

TEST_CASE | ( | "carnes-mesh" | ,
|  | "" | [carnes-mesh]
| ) |  |

## ◆ TEST_CASE() [7/18]

TEST_CASE | ( | "cube_2blocks" | ,
|  | "" | [cube_2blocks]
| ) |  |

## ◆ TEST_CASE() [8/18]

TEST_CASE | ( | "farmer plenum" | ,
|  | "" | [farmer_plenum]
| ) |  |

## ◆ TEST_CASE() [9/18]

TEST_CASE | ( | "farmer_h1_mk21" | ,
|  | "" | [h1_mk21]
| ) |  |

## ◆ TEST_CASE() [10/18]

TEST_CASE | ( | "farmer_h1_nozzle" | ,
|  | "" | [h1_nozzle]
| ) |  |

## ◆ TEST_CASE() [11/18]

TEST_CASE | ( | "grv" | ,
|  | "" | [grv]
| ) |  |

## ◆ TEST_CASE() [12/18]

TEST_CASE | ( | "grv-large" | ,
|  | "" | [grv-large]
| ) |  |

## ◆ TEST_CASE() [13/18]

TEST_CASE | ( | "grv-nose" | ,
|  | "" | [grv-nose]
| ) |  |

## ◆ TEST_CASE() [14/18]

TEST_CASE | ( | "LotsOfZones" | ,
|  | "" | [LotsOfZones]
| ) |  |

## ◆ TEST_CASE() [15/18]

TEST_CASE | ( | "mk21" | ,
|  | "" | [mk21]
| ) |  |

## ◆ TEST_CASE() [16/18]

TEST_CASE | ( | "prime sides" | ,
|  | "" | [prime_sides]
| ) |  |

## ◆ TEST_CASE() [17/18]

TEST_CASE | ( | "single block line" | ,
|  | "" | [single_block_line]
| ) |  |

## ◆ TEST_CASE() [18/18]

TEST_CASE | ( | "single block" | ,
|  | "" | [single_block]
| ) |  |